Source: gstlal
Maintainer: Carsten Aulbert <carsten.aulbert@aei.mpg.de>
Section: lscsoft
Priority: optional
Standards-Version: 3.9.2
X-Python-Version: >= @MIN_PYTHON_VERSION@
Build-Depends:
 debhelper (>= 9),
 dh-python,
 doxygen (>= @MIN_DOXYGEN_VERSION@),
 fakeroot,
 gobject-introspection (>= @MIN_GOBJECT_INTROSPECTION_VERSION@),
 graphviz,
 gtk-doc-tools (>= @MIN_GTK_DOC_VERSION@),
 lal-dev (>= @MIN_LAL_VERSION@),
 lalburst-dev (>= @MIN_LALBURST_VERSION@),
 lalinspiral-dev (>= @MIN_LALINSPIRAL_VERSION@),
 lalmetaio-dev (>= @MIN_LALMETAIO_VERSION@),
 lalsimulation-dev (>= @MIN_LALSIMULATION_VERSION@),
 libfftw3-dev (>= 3),
 libgirepository1.0-dev (>= @MIN_GOBJECT_INTROSPECTION_VERSION@),
 libgsl-dev (>= 1.9),
 libgstreamer1.0-dev (>= @MIN_GSTREAMER_VERSION@),
 libgstreamer-plugins-base1.0-dev (>= @MIN_GSTREAMER_VERSION@),
 libgstrtspserver-1.0-dev (>= @MIN_GSTREAMER_VERSION@),
 liborc-0.4-dev (>= 1:@MIN_ORC_VERSION@),
 pkg-config (>= @MIN_PKG_CONFIG_VERSION@),
 python-all-dev (>= @MIN_PYTHON_VERSION@),
 python-gi-dev (>= @MIN_PYGOBJECT_VERSION@),
 python-lal (>= @MIN_LAL_VERSION@),
 python-ligo-lw (>= @MIN_LIGO_LW_VERSION@),
 python-ligo-segments (>= @MIN_LIGO_SEGMENTS_VERSION@),
 python-numpy (>= @MIN_NUMPY_VERSION@),
 zlib1g-dev

Package: gstlal
Architecture: any
Replaces: gstlal-ugly (<< 0.99.0), gstlal-dep
Breaks: gstlal-ugly (<< 0.99.0), gstlal-dep
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 avahi-daemon,
 gir1.2-glib-2.0,
 gir1.2-gstreamer-1.0 (>= @MIN_GSTREAMER_VERSION@),
 gir1.2-gst-plugins-base-1.0 (>= @MIN_GSTREAMER_VERSION@),
 gstreamer1.0-plugins-base (>= @MIN_GSTREAMER_VERSION@),
 gstreamer1.0-plugins-good (>= @MIN_GSTREAMER_VERSION@),
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-tools (>= @MIN_GSTREAMER_VERSION@),
 lal (>= @MIN_LAL_VERSION@),
 lalburst (>= @MIN_LALBURST_VERSION@),
 lalinspiral (>= @MIN_LALINSPIRAL_VERSION@),
 lalmetaio (>= @MIN_LALMETAIO_VERSION@),
 lalsimulation (>= @MIN_LALSIMULATION_VERSION@),
 libavahi-glib1,
 libfftw3-3,
 libgirepository-1.0-1 (>= @MIN_GOBJECT_INTROSPECTION_VERSION@),
 libgstreamer1.0-0 (>= @MIN_GSTREAMER_VERSION@),
 libgstreamer-plugins-base1.0-0 (>= @MIN_GSTREAMER_VERSION@),
 libgstrtspserver-1.0-0 (>= @MIN_GSTREAMER_VERSION@),
 liborc-0.4-0 (>= 1:@MIN_ORC_VERSION@),
 python (>= @MIN_PYTHON_VERSION@),
 python-avahi,
 python-gi (>= @MIN_PYGOBJECT_VERSION@),
 python-glue (>= @MIN_GLUE_VERSION@),
 python-gst-1.0,
 python-lal (>= @MIN_LAL_VERSION@),
 ligo-lw-bin (>= @MIN_LIGO_LW_VERSION@),
 python-ligo-lw (>= @MIN_LIGO_LW_VERSION@),
 python-ligo-segments (>= @MIN_LIGO_SEGMENTS_VERSION@),
 python-numpy (>= @MIN_NUMPY_VERSION@),
 python-scipy,
 zlib1g
# FIXME:  gstreamer1.0-python3-plugin-loader is *in fact* a dependency, but
# it's not possible to have both our own legacy plugin loader and the stock
# loader installed in the gstreamer search path simultaneously, so we have
# this listed as a conflict.  note that this is just a safety check:  as
# soon as the package is actually available on the reference platform, we
# will switch to it, so in reality there will never really be an actual
# conflict.
Conflicts:
 gstreamer1.0-python3-plugin-loader
Description: GStreamer for GW data analysis (core stable parts)
 This package provides a variety of GStreamer elements for
 gravitational-wave data analysis and some libraries to help write such
 elements.  The code here sits on top of several other libraries, notably
 the LIGO Algorithm Library (LAL), FFTW, the GNU scientific Library (GSL),
 and, of course, GStreamer.
 This package contains the plugins and shared libraries required to run
 gstlal-based applications.

Package: gstlal-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstlal (= ${binary:Version}),
 lal-dev (>= @MIN_LAL_VERSION@),
 lalburst-dev (>= @MIN_LALBURST_VERSION@),
 lalinspiral-dev (>= @MIN_LALINSPIRAL_VERSION@),
 lalmetaio-dev (>= @MIN_LALMETAIO_VERSION@),
 lalsimulation-dev (>= @MIN_LALSIMULATION_VERSION@),
 libfftw3-dev (>= 3),
 libgsl-dev (>= 1.9),
 libgstreamer-plugins-base1.0-dev (>= @MIN_GSTREAMER_VERSION@),
 libgstreamer1.0-dev (>= @MIN_GSTREAMER_VERSION@),
 python-all-dev (>= @MIN_PYTHON_VERSION@),
 zlib1g-dev
Description: Files and documentation needed for compiling gstlal based plugins and programs.
 This package contains the files needed for building gstlal-based plugins
 and programs.
